Bug 1411675 - Error: Could not find data item mongo_node_ips in any Hiera data file and no default supplied at /var/lib/heat-config/heat-config-puppet/16904a38-4616-42c7-94f9-f82db9cc3053.pp:21 on node
Summary: Error: Could not find data item mongo_node_ips in any Hiera data file and no ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Sofer Athlan-Guyot
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 09:30 UTC by Pablo Iranzo Gómez
Modified: 2020-06-11 13:26 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-19 14:52:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pablo Iranzo Gómez 2017-01-10 09:30:50 UTC
Description of problem:

While performing upgrade from OSP8 to OSP9, 

heat deployment-output-show 057c8c92-874e-4f1b-bcb0-5591298f65f6 deploy_stderr 

shows:

WARNING (shell) "heat deployment-output-show" is deprecated, please use "openstack software deployment output show" instead
Could not retrieve fact='apache_version', resolution='<anonymous>': undefined method `[]' for nil:NilClass
Could not retrieve fact='apache_version', resolution='<anonymous>': undefined method `[]' for nil:NilClass
Error: Could not find data item mongo_node_ips in any Hiera data file and no default supplied at /var/lib/heat-config/heat-config-puppet/16904a38-4616-42c7-94f9-f82db9cc3053.pp:21 on node <XXXX>


Version-Release number of selected component (if applicable):

hiera-1.3.4-1.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.